#!/bin/bash

#Manage placa_de_tv BTTV
#
#Authors:
#  Bruno Goncalves Araujo <www.biglinux.com.br>
#  João Paulo Batista Brum <www.biglinux.com.br>
#
#License: GPLv2 or later
#################################################


#Check permission
if test $(id -u) != 0
then
    echo "Need root permission"
    exit 0
fi

#pegando variaveis que serão utilizadas ao longo do script
placa=`lspci | grep -i multimedia | grep -i video | grep -i bt`
video=`dmesg | grep bttv | grep registered | cut -f2 -d":" | grep video | cut -f4 -d" "`
vbi=`dmesg | grep bttv | grep registered | cut -f2 -d":" | grep vbi | cut -f4 -d" "`
radio=`dmesg | grep bttv | grep registered | cut -f2 -d":" | grep radio | cut -f4 -d" "`

##card e tuner que serão utilizados atraves de um banco de dados registrado
if [ "$*" != "" ] ; then
config="$*"
else
config="`bash bttv-registro.sh`"
fi


if [ "$placa" != "" ] ; then 

 #removendo modulos carregados saa7134
 rmmod bt878
 rmmod bttv
 rmmod tuner

 #carregando modulos
 modprobe bttv $config
 modprobe bt878
 
 #dando permição para os dispositivos para qualquer usuario
 chmod 777 /dev/$video
 chmod 777 /dev/$vbi
 chmod 777 /dev/$radio

 #carregamendo das opções/configurações que a placa usará
 touch /etc/modprobe.d/PlacaTv 
 chmod 644 /etc/modprobe.d/PlacaTv
 echo "options bttv $config" > /etc/modprobe.d/PlacaTv
 
 
fi